Doomsday Engine - Bug #1701

[Doom] Map08/ExM8 sound emulation
2014-01-03 17:083 - vermil

Status: New Start date: 2014-01-03
Priority: Normal % Done: 0%
Assignee:

Category: Vanilla emulation

Target version: Vanilla / Gameplay

Description

In Vanilla Doom, on ExM8 and Map08, all sounds are not cut off.

However, Dday only replicates this behaviour for the sight, walking and death sounds (though not their attacking sounds) of the
Cyber Demon and Spider Demon, not all sounds.

If this was a deliberate change, my apologies.

Related issues:

Related to Feature #1648: Complete vanilla DOOM emulation Progressed 2003-07-17
Related to Bug #1007: [Doom] Sound emitter overlap handling New 2012-03-09
History

#1 - 2014-01-03 17:07 - skyjake

- Tags changed from SFX, vanillaemulation to SFX, Doom

- Category set to Vanilla emulation

#2 - 2014-10-05 20:07 - danij

Judging by the linuxdoom-1.10 source release, this does appear to be a deliberate change. Should this be compatibility optioned or changed to

respect vanilla behavior?

#3 - 2014-10-05 20:09 - danij
- Related to Feature #1648: Complete vanilla DOOM emulation added

#4 - 2017-04-03 14:38 - skyjake

- Target version set to Modding

#5 - 2017-04-03 14:50 - skyjake
- Related to Bug #1007: [Doom] Sound emitter overlap handling added

#6 - 2017-04-03 18:33 - skyjake

- Target version changed from Modding to Vanilla / Gameplay
